Retrieve link or OTP for one-touch login

Initiates a one-touch login process using an Email.

POST
/identity/v2/auth/onetouchlogin/email

Initiates a one-touch login process using an Email.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

redirecturl?string

The URL to which the User will be redirected after completing the operation, such as login or verification.

onetouchloginemailtemplate?string

One Touch Login Email Template

welcomeemailtemplate?string

Welcome Email Template

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

g-recaptcha-response?string

Google reCAPTCHA response parameter which will be sent to the server for verification.

g_recaptcha_response?string

Google reCAPTCHA Response

qq_recaptcha_ticket?string

QQ reCAPTCHA Response

qq_recaptcha_randstr?string

QQ reCAPTCHA Response

h-captcha-response?string

hCaptcha Response

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/onetouchlogin/email?redirecturl=https%3A%2F%2Fexample.com%2Fredirect&onetouchloginemailtemplate=One-Touch-Login-Email-Template&welcomeemailtemplate=Welcome-Email-Template&prevent_webhook=true&g-recaptcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&g_recaptcha_response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&qq_recaptcha_ticket=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&qq_recaptcha_randstr=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&h-captcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "Email": "user@example.com",    "ClientGuid": "123e4567-e89b-12d3-a456-426614174000"  }'
{
  "IsPosted": true
}

{
  "ErrorCode": 965,
  "Message": "The post body is invalid",
  "Description": "Please use a valid post body and make sure that it is in a valid JSON format."
}

{
  "ErrorCode": 1218,
  "Message": "CAPTCHA is invalid",
  "Description": "CAPTCHA is invalid, please enter the correct CAPTCHA value."
}